[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.FindHighest

Find the highest (rightmost) node in the tree.

## Declaration

Source position: avl_tree.pp line 84

`public function TAVLTree.FindHighest: TAVLTreeNode;`

## Function result

The rightmost (highest) node in the tree.

## Description

FindHighest returns the rightmost node in the tree, i.e. the node which is reached when descending from the rootnode via the Right subtrees.

## See also

FindLowest |  | Find the lowest (leftmost) node in the tree.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .